Subject: REVIEW: Prelude audio card
From: [email-masked] (Gregory Donner)
Date: 27 Jul 1997 23:14:45 GMT
Newsgroups: comp.sys.amiga.reviews

PRODUCT NAME

	Prelude v1.0

BRIEF DESCRIPTION

	A Zorro-II 16-bit audio sampling, mixing, and playback card
capable of sampling/playback rates up to 48kHz.

AUTHOR/COMPANY INFORMATION

	Name:		Albrecht Computer Technik
	Address:	Seth 2
			21769 Lamstedt
			Germany

	Telephone:	+49-4773-8910-73
	FAX:		+49-4773-8910-72

	E-mail:		[email-masked]
	World Wide Web:	www.act-net.com/index.htm
	Fido Net:       2:241/205
	SMS:            +49-1727-6148-05

LIST PRICE

	I purchased Prelude directly from A.C.T. in Germany. Note that
these prices reflect the German 15% Value Added Tax (VAT), so prices
are lower for customers outside of Germany. (aside: the software pack
consists of drivers, sampling/playback/mixing/etc. applications, and
developer code.)

+-----------------------+-----------------------+-----------------------+
|       Option 1        |       Option 2        |       Option 3        |
+-----------------------+-----------------------+-----------------------+
|Prelude audio card     |Prelude audio card     |AudioLab16 for Prelude |
|Included software pack |Included software pack |                       |
|                       |Samplitude Prelude v3.0|                       |
+-----------------------+-----------------------+-----------------------+
| DM 380                | DM 410                | DM 225                |
+-----------------------+-----------------------+-----------------------+

	Seeing as there was a new version of Samplitude, I chose Option 2.
	
	On 4/9/97, the exchange rate was DM 1.68 to US $1.00, so I
paid $211.95 dollars. Prices shown above do not include shipping. (Air
Mail shipment to the United States came to around US $40, or DM 70.)
    
	At the time of writing, there is a 2-3 week production
turnaround on the cards. No distributor has been named to date, but
A.C.T. is interested in distribution. For more information, contact
Marc Albrecht at A.C.T.

DEMO VERSION

	None.

SPECIAL HARDWARE AND SOFTWARE REQUIREMENTS

	HARDWARE

		Any ZorroII/III Amiga. (According to Thomas Wenzel's
		Prelude web page, it works on both an Amiga 1000 &
		Amiga 500 with a simple passive adaptor. Since I don't
		own either an Amiga 500 or 1000, I was unable to
		verify this.)
		
		48kHz stereo possible on a standard 68000 Amiga; 68020
		recommended.

		512k RAM required for sufficient double buffering, 2MB
		FAST RAM strongly recommended by the manufacturer.
		
		Hard Drive recommended, but not required.

	SOFTWARE

		Amiga OS 2.04 or higher required.
		Works fine on Amiga OS 3.1.

COPY PROTECTION

	None.

MACHINE USED FOR TESTING

	Amiga 2500/030, 16 MB Fast RAM, 1 MB Chip RAM
	Kickstart v40.63, Workbench v40.42
	PicassoII w/1MB RAM
	A2320 Display Enhancer
	A2091 SCSI Controller, Rev. 7 ROMs w/170 MB Quantum hard drive
	Sony 15sf multisync monitor
	AIR external 1.76MB High Density floppy
	GVP ioExtender
	Chinon CDX-535 SCSI 2x external CD-ROM drive

INSTALLATION

	Prelude comes in a thin black box, wrapped in bubble pack,
with foam padding on the top and bottom of the card. No warranty or
registration card was included.
	
	The construction of the card is good; a professionally
manufactured multi-layer printed circuit board. No version, model
number, or date was on the card.
	
	Hardware installation is straightforward. The card installs
firmly but easily into any free ZorroII/III slot. It took me about 20
minutes, since I had to remove my old SupraRAM 2000 memory card in
order to free up a slot.
		
	Once the card is in place, simply plug the included adaptor
into the DB15 connector on the back of the card, and connect the
inputs and output to your corresponding outputs & input.

	Prelude uses the standard Installer utility, making
installation quick and painless.

REVIEW

	I've been following the Prelude audio card since I first saw
it announced in the Amiga Web Directory a little over a year ago. It
has been in development (limited to spare time) for over two years.
	
	In my case, Air Mail shipment from Germany took a week to
arrive; shipped 4/10/97, arrived 4/17/97.

  HARDWARE

		+-----------------------------------+
		|          Quick Glossary           |
		+-----------------------------------+
		|CODEC = COmpression/DECompression  |
		|ADC   = Analog to Digital Converter|
		|DSP   = Digital Signal Processor   |
		+-----------------------------------+

	- THE PROCESSOR -

	At the heart of Prelude is a Crystal-brand multimedia codec
chip (model CS4231A). Some features of this chip listed on Crystal's
web site are:
	
	- ADPCM Compression/Decompression
	- MPC Level 2 Compatible Mixer
	- Dual DMA Registers support Full Duplex Operation
	- On-Chip FIFOs for higher performance
	- Selectable Serial Audio Data Port
	
	This Crystal chip is capable of two channel simultaneous
playback (simple stereo signal).
	
	Unlike a DSP, this chip is designed solely for handling
audio. While it can perform most of the same functions as a DSP (in
regards to audio effects), it cannot for example, off-load your CPU
when playing back an 8+ channel ScreamTracker (#?.s3m) MOD file, nor
could it be used for something other than audio; like emulation of a
28.8 modem. Both of these functions could be accomplished with a
DSP. [Although a DSP add-on is already planned].

	- THE INPUTS/OUTPUT -

	The information below describing the four inputs and output
was sent to me by Thomas Wenzel, and is included here since it
explains them well.

		+-----+----------------+----------------------------+
		|     | Can be used for|                            |
		|     +------+---------+                            |
		|Input|mixing|recording|Recommended Usage           |
		+-----+------+---------+----------------------------+
		|LINE |  x   |    x    |recording line level signals|
		|MIC  |      |    x    |recording w/STD microphone  |
		|AUX1 |  x   |    x    |CD-ROM output               |
		|AUX2 |  x   |         |Amiga output                |
		+-----+------+---------+----------------------------+

LINE:	can be routed to the ADC and to the on-board mixer. Normally this
	input is used for recording line level signals.
	
MIC:	can only be routed to the ADC, not to the mixer. It can be used for
	recording only; signal may be line or mic level.
	
AUX1:	can be routed to the ADC and the on-board mixer. This input can be
	used for recording or for mixing the audio output of a CD-ROM drive.
	
AUX2:	can only be routed to the mixer; you can't use it for recording.
	This input is recommended for mixing the Amiga output. After a reset
	(power on or warm reboot), when the card is not initialised by the
	mixer program, LINE	out is muted and the source connected to AUX2
	can only be sent to the mono output.

OUT:	goes to stereo system.

	On the Prelude, mixing means that the signal of that input can
be mixed to the output along with other inputs, and the sound
generated by the codec itself.
	
	Recording on Prelude means that you can directly record to RAM
or Hard Drive from that input and you can also use it for digital
realtime effects.

	On the bracket edge of the card is a 15-pin D-SUB connector
which has the LINE output and all four inputs. A customizable adaptor
is included. When you order Prelude you can choose which type of
connector you want for each input [e.g. Phono (RCA), 1/4" Phone plug
(6.35mm), 1/8" Phone plug (3.5mm), etc.]

	There is a jumper on the top edge of the card to feed the mono
signal to a simple onboard amplifier. The output of that amplifier is
available on a 2 pin connector for a small standard 8 ohm
speaker. This is handy if you want your Amiga to be able to
"beep"... (speaker not included) :)
	
	The Prelude has a 40-pin (male) expansion bus connector
appropriately called the "Prelude Bus". While no modules using this
bus have been released to- date, the following expansion modules have
already been planned:
	
	Digital Input/Output [S/P-DIF] (for DAT, CD, MiniDisc, etc.)
	Sample rate converter
	MIDI interface
	MPEG Decoder (supporting Layer I & II MPEG streams)
	DSP add-on
	Wave Table

  SOFTWARE

	Realtime F/X: (Karoake, Echo, etc.)
	
		[in development]
	
	u-law, A-law, ADPCM encoder/decoder:
	
		[in development]
		
		Note that these audio compression formats are
		supported by the Prelude hardware, which should
		provide an increase in speed.

	Prelude Surround Decoder v1.1:
		
		Allows you to adjust the gain, balance, front & rear
		volume, as well as the overall volume. A realtime
		"vectorscope" display shows where the audio is being
		projected (i.e. left/right, front/back.) This enables
		you to calibrate your surround sound.

	PreludeMixer v1.0:
	
		Implemented as a commodity, this has sliders that let
		you adjust the level of each input:
		
		Line, Aux1, Aux2, Wave, Mono
		
		There are "Lock" check boxes for each of the inputs,
		which keep the left and right sliders together as you
		adjust the input levels.
		
		[Note: A.C.T. is working on a 4-channel software mixer.]

	GFXPreludeMixer v1.1:
	
		This alternative mixer is intended for people who
		prefer a stereo-system look to mixing. Note that the
		interface is designed for a 4-color Workbench, so if
		you're using MagicWB, you may find the GUI a little
		difficult to read, until it is fixed.
		
		[Note: the label readability issue is being corrected]
	
	Tapedeck v0.49:
	
		The Tapedeck allows recording one of three inputs at a
		time (switchable): LINE, AUX, and MIC. The GUI
		(similar design as GFXPreludeMixer) looks like a DAT
		deck, and features Play/Pause, Stop, Fast Forward,
		Rewind, Record, Eject (selects/changes file), and jump
		to beginning/end of the sample. It also lets you
		adjust the frequency, gain, and peak.

		[Note: still in development. Several features
		unimplemented, buggy]

	Dub! Prelude Full Duplex Recorder V1.0:
	
		Dub! allows you to record and playback a file at the
		same time; also known as "OverDub sampling". It uses a
		GUI with the following options: Frequency (5-48kHz),
		Mode (8/16/U-Law/A-Law/ADPCM), with Play, Pause, and
		Record gadgets.

	PreludeReset:
	
		A CLI command that initializes the Prelude hardware on
		startup. This resides in SYS:C and is called from the
		User-Startup sequence.

	PrlCheck v1.0:
	
		Another CLI command (can be stored anywhere) that
		checks various aspects of the Prelude, such as the
		register status, FIFO and interrupts, as well as
		performing an autocalibration cycle.
		
	Samplitude Prelude v3.0: [supplied if you bought the Samplitude bundle]
	
		Samplitude Prelude is a specially compiled version of
		Samplitude Pro v3.0 for Prelude. This is a very
		powerful program, and has most, if not all of the
		features you'll need when dealing with audio. One
		feature that would be nice though is Sun Audio (.au)
		import/export.
		
		[Note: Samplitude is being ported from Manx to SAS/C;
		known bugs will be fixed, parts of the GUI are being
		redesigned, (now totally GadTools!)  and there will be
		some new features such as volume envelopes for virtual
		projects.

	Audio Hardware Interface v4.0:
	
		Good things come in small archives. If you're not
		already familiar with AHI, it is Retargetable Audio
		for the Amiga. AHI provides access to a growing array
		of audio applications and is highly recommended.

		Note that when playing back 4 channel MODs via AHI,
		they will sound a little distorted or 'fuzzy'. Thomas
		Wenzel explains why:
		
		"The Amiga chipset can play back four channels each
		with a completely independent frequency. With a
		standard soundcard this is not possible.  Each channel
		has to be resampled in realtime to match the fixed
		playback frequency of the card. Unfortunately there's
		always some quality loss during resampling. There's
		almost nothing that can be done about it."

	AHIRecord v1.3:
	
		Provides audio monitoring and recording using AHI. A
		very nice GUI; clean, easy to use. Features stereo
		realtime audio monitor and recording level meters,
		adjustment of input gain and monitor volume,
		selectable sources for input and monitoring,
		adjustable frequency, and can save samples in AIFF,
		MAUD, or WAVE formats.
		
	Play16 v1.7:
	
		Simply (IMHO) the best audio player on the
		Amiga. Plays most major file formats easily, and can
		also (with some possible delays) playback audio
		directly from your Audio CD's (requires Asimware CDFS
		v3.x). Note that this probably requires an '060 to get
		realtime playback off an Audio CD.
		
		Freeware; and well worth rewarding the author for a
		job well done and keep him encouraged to release more
		updates! :)

DOCUMENTATION

	While early Prelude documentation was a little poor due to
being rushed, new documentation is forthcoming in the form of a
complete printed handbook.

	Samplitude's documentation is photocopied since SEK'D suffered
a severe data loss and had to resort to photocopied pages.
	
	Samplitude's docs (34 pages total) are reduced print, (2 pages
side-by-side) on A4 paper. Page 6 was missing from my set. The printed
docs are for Samplitude ProII. The included docs however are close
enough to the Prelude version that you can still find your way around.

LIKES

	Some of the included software uses GadTools, and is well
written. It's responsive and a full install only uses about 500k of
free hard drive space.  It comes with enough software tools to utilize
all the features that a standard Prelude offers.
	
	Prelude supports Martin Blom's Audio Hardware Interface (AHI)
drivers, and in doing so taps a growing software base. It also
encourages other programmers to develop for this retargetable audio
system.

	Prelude is, (as of this writing) the only Amiga audio card
with four inputs (three mixable). Using three inputs with other Amiga
cards requires a switch box; even then you would not be able to mix
all three inputs simultaneously.

	Prelude is also the only existing Amiga audio card with an
expansion bus/connector allowing you to add an extra module to your
card.

DISLIKES AND SUGGESTIONS

	Inexpensive PC "Multimedia" microphones cannot be used in the
'MIC' input unless they are boosted with a small power supply or
amplifier. Any microphone that has it's own power supply will also
work fine (e.g. dynamic microphones). [Note: A microphone that works
well is the Sony DR-30PCAMP computer headphone & microphone. It sports
a microphone with a built-in amplifier that outputs -15dB when turned
on; providing decent output level for Prelude's MIC input. I mention
this microphone here, since it is one of the few multimedia
microphones I know of that has it's own built-in amplifier.]

	Prelude uses a dedicated audio chip instead of a DSP. While
the cost would have been higher, the power and flexibility of a DSP
could be beneficial and would open up possibilities for a variety of
applications. [Note that a DSP/MPEG encoder add-on is planned for
Prelude, though.]

	Some software has yet to be released (Realtime FX,
u-law/A-law/ADPCM encoder), and some software is still in development
(TapeDeck) but A.C.T.  is aware of this, and is working on it.

COMPARISON TO OTHER SIMILAR PRODUCTS

	While the closest product is probably Toccata, Prelude is full
duplex, boasts two extra inputs, a special expansion bus connector,
and supports surround sound. It also has realtime effects like Karaoke
and Echo [Note: software still in development].
	
	This isn't the first 16-bit audio sampler that I've used (I
used to own a Clarity16 audio sampler cartridge). Yet the benefits of
having the hardware on a Zorro card far exceeds anything that plugs
into the parallel port.
	
	The ability to redirect both CD-ROM and Amiga audio while
keeping a microphone and line-in source plugged into it is a big
advantage. Your parallel port remains free for other uses, and you can
mix three of the four inputs to your heart's content.

BUGS

	No known hardware bugs as of this writing. Remember to check
A.C.T.'s Prelude web site for software updates.

VENDOR SUPPORT

	Vendor support has been very helpful, open to suggestions, and
quick in responding.

	For questions regarding Prelude's pricing, distribution, or
the prelude shared library, contact Marc Albrecht at:
<[email-masked]>
	
	For technical questions or AHI & Prelude interaction, contact
Thomas Wenzel at: <[email-masked]>

	Prelude software updates can be obtained from:
http://www.act-net.com/Prelude/

	For questions regarding AHI contact Martin Blom at:
<[email-masked]>

	AHI software updates can be obtained from:
http://www.lysator.liu.se/~lcs/ahi.html

WARRANTY

	None.

CONCLUSIONS

	The Prelude audio card performs as advertised. If 16-bit audio
appeals to you, I recommend the Prelude. Prelude is, as of this
writing, one of the most affordable 16-bit sound cards available for
the Amiga. Prelude's price may be considered a little high for some
people's budgets, but you are getting solid 16-bit audio for your
Amiga that's responsive and uses system resources efficiently.
	
	I give Prelude a 4 out of 5 rating.

COPYRIGHT NOTICE

	Freely distributable
		
	Written by Gregory Donner (24-June-97)
	e-mail: [email-masked]
	web:    www.cyberlink-inc.com/gdonner

---

   Accepted and posted by Daniel Barrett, comp.sys.amiga.reviews moderator
   Send reviews to:	[email-masked]
   Request information:	[email-masked]
   Moderator mail:	[email-masked]
   Anonymous ftp site:  math.uh.edu, in /pub/Amiga/comp.sys.amiga.reviews
   Web site: ftp://math.uh.edu/pub/Amiga/comp.sys.amiga.reviews/index.html